Changeset 2672


Ignore:
Timestamp:
Dec 1, 2012 2:46:24 PM (8 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/stable/1.3/configure

    r2663 r2672  
    10941094                          icl/link). Default when mentioned: mingw. Default
    10951095                          when not mentioned: disabled.
    1096   --enable-static-standardlibs
    1097                           whether to link against static standard libraries
    1098                           (libgcc, libgfortran, libstdc++)
    10991096  --disable-pkg-config    disable use of pkg-config (if available)
    11001097  --enable-static[=PKGS]
     
    19611958
    19621959
    1963 # check whether to add flags for static linking against standard libraries
    1964 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1965 if test "${enable_static_standardlibs+set}" = set; then
    1966   enableval="$enable_static_standardlibs"
    1967   case "$enableval" in
    1968      no | yes | auto ) ;;
    1969      *)
    1970        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1971 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1972    { (exit 1); exit 1; }; } ;;
    1973    esac
    1974    use_static_standardlibs=$enableval
    1975 else
    1976   if test $enable_shared = yes ; then
    1977      use_static_standardlibs = no
    1978    else
    1979      use_static_standardlibs = auto
    1980    fi
    1981 
    1982 
    1983 fi;
    1984 
    1985 
    1986 
    1987 
    1988 
    19891960
    19901961ac_ext=c
     
    31103081    CFLAGS="$OPT_CFLAGS"
    31113082  fi
    3112 
    31133083else
    31143084  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32793249esac
    32803250
    3281 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3282 if test x$use_static_standardlibs != xno ; then
    3283   case $build in
    3284     *-mingw*)
    3285       static_standardlib_flag=-static
    3286       ;;
    3287     *)
    3288       static_standardlib_flag=-static-libgcc
    3289       ;;
    3290   esac
    3291   case " $LDFLAGS " in
    3292     *" $static_standardlib_flag "* ) ;;
    3293     *)
    3294     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3295 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3296     coin_save_LDFLAGS="$LDFLAGS"
    3297     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3298     cat >conftest.$ac_ext <<_ACEOF
    3299 /* confdefs.h.  */
    3300 _ACEOF
    3301 cat confdefs.h >>conftest.$ac_ext
    3302 cat >>conftest.$ac_ext <<_ACEOF
    3303 /* end confdefs.h.  */
    3304 
    3305 int
    3306 main ()
    3307 {
    3308 int i=0;
    3309   ;
    3310   return 0;
    3311 }
    3312 _ACEOF
    3313 rm -f conftest.$ac_objext conftest$ac_exeext
    3314 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3315   (eval $ac_link) 2>conftest.er1
    3316   ac_status=$?
    3317   grep -v '^ *+' conftest.er1 >conftest.err
    3318   rm -f conftest.er1
    3319   cat conftest.err >&5
    3320   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3321   (exit $ac_status); } &&
    3322          { ac_try='test -z "$ac_c_werror_flag"
    3323                          || test ! -s conftest.err'
    3324   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3325   (eval $ac_try) 2>&5
    3326   ac_status=$?
    3327   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3328   (exit $ac_status); }; } &&
    3329          { ac_try='test -s conftest$ac_exeext'
    3330   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3331   (eval $ac_try) 2>&5
    3332   ac_status=$?
    3333   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3334   (exit $ac_status); }; }; then
    3335   echo "$as_me:$LINENO: result: yes" >&5
    3336 echo "${ECHO_T}yes" >&6
    3337 else
    3338   echo "$as_me: failed program was:" >&5
    3339 sed 's/^/| /' conftest.$ac_ext >&5
    3340 
    3341 echo "$as_me:$LINENO: result: no" >&5
    3342 echo "${ECHO_T}no" >&6
    3343        LDFLAGS="$coin_save_LDFLAGS"
    3344        if test $use_static_standardlibs = yes ; then
    3345          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3346 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3347    { (exit 1); exit 1; }; }
    3348        fi
    3349 
    3350 fi
    3351 rm -f conftest.err conftest.$ac_objext \
    3352       conftest$ac_exeext conftest.$ac_ext
    3353     ;;
    3354   esac
    3355 fi
    3356 
    33573251ac_ext=c
    33583252ac_cpp='$CPP $CPPFLAGS'
     
    33833277
    33843278
    3385 
    33863279ac_ext=f
    33873280ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    35933486
    35943487# Provide some information about the compiler.
    3595 echo "$as_me:3595:" \
     3488echo "$as_me:3488:" \
    35963489     "checking for Fortran 77 compiler version" >&5
    35973490ac_compiler=`set X $ac_compile; echo $2`
     
    39603853    FFLAGS="$OPT_FFLAGS"
    39613854  fi
    3962 
    39633855else
    39643856  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    41023994    ;;
    41033995esac
    4104 
    4105 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4106 if test x$use_static_standardlibs != xno ; then
    4107   case $build in
    4108     *-mingw*)
    4109       static_standardlib_flag=-static
    4110       ;;
    4111     *)
    4112       static_standardlib_flag=-static-libgfortran
    4113       ;;
    4114   esac
    4115   case " $LDFLAGS " in
    4116     *" $static_standardlib_flag "* ) ;;
    4117     *)
    4118     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4119 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4120     coin_save_LDFLAGS="$LDFLAGS"
    4121     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4122     cat >conftest.$ac_ext <<_ACEOF
    4123       program main
    4124       integer i
    4125       end
    4126 _ACEOF
    4127 rm -f conftest.$ac_objext conftest$ac_exeext
    4128 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4129   (eval $ac_link) 2>conftest.er1
    4130   ac_status=$?
    4131   grep -v '^ *+' conftest.er1 >conftest.err
    4132   rm -f conftest.er1
    4133   cat conftest.err >&5
    4134   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4135   (exit $ac_status); } &&
    4136          { ac_try='test -z "$ac_f77_werror_flag"
    4137                          || test ! -s conftest.err'
    4138   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4139   (eval $ac_try) 2>&5
    4140   ac_status=$?
    4141   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4142   (exit $ac_status); }; } &&
    4143          { ac_try='test -s conftest$ac_exeext'
    4144   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4145   (eval $ac_try) 2>&5
    4146   ac_status=$?
    4147   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4148   (exit $ac_status); }; }; then
    4149   echo "$as_me:$LINENO: result: yes" >&5
    4150 echo "${ECHO_T}yes" >&6
    4151 else
    4152   echo "$as_me: failed program was:" >&5
    4153 sed 's/^/| /' conftest.$ac_ext >&5
    4154 
    4155 echo "$as_me:$LINENO: result: no" >&5
    4156 echo "${ECHO_T}no" >&6
    4157        LDFLAGS="$coin_save_LDFLAGS"
    4158        if test $use_static_standardlibs = yes ; then
    4159          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4160 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4161    { (exit 1); exit 1; }; }
    4162        fi
    4163 
    4164 fi
    4165 rm -f conftest.err conftest.$ac_objext \
    4166       conftest$ac_exeext conftest.$ac_ext
    4167     ;;
    4168   esac
    4169 fi
    41703996
    41713997ac_ext=c
     
    43204146# unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
    43214147if test "x${prefix}" = xNONE ; then
    4322   COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib64/pkgconfig:${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    4323 else
    4324   COIN_PKG_CONFIG_PATH="${prefix}/lib64/pkgconfig:${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     4148  COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     4149else
     4150  COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    43254151fi
    43264152
     
    44334259ac_save_FFLAGS=$FFLAGS
    44344260FFLAGS="$FFLAGS $ac_verb"
    4435 (eval echo $as_me:4435: \"$ac_link\") >&5
     4261(eval echo $as_me:4261: \"$ac_link\") >&5
    44364262ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    44374263echo "$ac_f77_v_output" >&5
     
    45114337ac_save_FFLAGS=$FFLAGS
    45124338FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4513 (eval echo $as_me:4513: \"$ac_link\") >&5
     4339(eval echo $as_me:4339: \"$ac_link\") >&5
    45144340ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    45154341echo "$ac_f77_v_output" >&5
     
    53895215
    53905216# Provide some information about the compiler.
    5391 echo "$as_me:5391:" \
     5217echo "$as_me:5217:" \
    53925218     "checking for Fortran compiler version" >&5
    53935219ac_compiler=`set X $ac_compile; echo $2`
     
    71616987*-*-irix6*)
    71626988  # Find out which ABI we are using.
    7163   echo '#line 7163 "configure"' > conftest.$ac_ext
     6989  echo '#line 6989 "configure"' > conftest.$ac_ext
    71646990  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    71656991  (eval $ac_compile) 2>&5
     
    96389464   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96399465   -e 's:$: $lt_compiler_flag:'`
    9640    (eval echo "\"\$as_me:9640: $lt_compile\"" >&5)
     9466   (eval echo "\"\$as_me:9466: $lt_compile\"" >&5)
    96419467   (eval "$lt_compile" 2>conftest.err)
    96429468   ac_status=$?
    96439469   cat conftest.err >&5
    9644    echo "$as_me:9644: \$? = $ac_status" >&5
     9470   echo "$as_me:9470: \$? = $ac_status" >&5
    96459471   if (exit $ac_status) && test -s "$ac_outfile"; then
    96469472     # The compiler can only warn and ignore the option if not recognized
     
    99069732   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    99079733   -e 's:$: $lt_compiler_flag:'`
    9908    (eval echo "\"\$as_me:9908: $lt_compile\"" >&5)
     9734   (eval echo "\"\$as_me:9734: $lt_compile\"" >&5)
    99099735   (eval "$lt_compile" 2>conftest.err)
    99109736   ac_status=$?
    99119737   cat conftest.err >&5
    9912    echo "$as_me:9912: \$? = $ac_status" >&5
     9738   echo "$as_me:9738: \$? = $ac_status" >&5
    99139739   if (exit $ac_status) && test -s "$ac_outfile"; then
    99149740     # The compiler can only warn and ignore the option if not recognized
     
    100109836   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    100119837   -e 's:$: $lt_compiler_flag:'`
    10012    (eval echo "\"\$as_me:10012: $lt_compile\"" >&5)
     9838   (eval echo "\"\$as_me:9838: $lt_compile\"" >&5)
    100139839   (eval "$lt_compile" 2>out/conftest.err)
    100149840   ac_status=$?
    100159841   cat out/conftest.err >&5
    10016    echo "$as_me:10016: \$? = $ac_status" >&5
     9842   echo "$as_me:9842: \$? = $ac_status" >&5
    100179843   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    100189844   then
     
    1242712253  lt_status=$lt_dlunknown
    1242812254  cat > conftest.$ac_ext <<EOF
    12429 #line 12429 "configure"
     12255#line 12255 "configure"
    1243012256#include "confdefs.h"
    1243112257
     
    1252712353  lt_status=$lt_dlunknown
    1252812354  cat > conftest.$ac_ext <<EOF
    12529 #line 12529 "configure"
     12355#line 12355 "configure"
    1253012356#include "confdefs.h"
    1253112357
     
    1488714713   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1488814714   -e 's:$: $lt_compiler_flag:'`
    14889    (eval echo "\"\$as_me:14889: $lt_compile\"" >&5)
     14715   (eval echo "\"\$as_me:14715: $lt_compile\"" >&5)
    1489014716   (eval "$lt_compile" 2>conftest.err)
    1489114717   ac_status=$?
    1489214718   cat conftest.err >&5
    14893    echo "$as_me:14893: \$? = $ac_status" >&5
     14719   echo "$as_me:14719: \$? = $ac_status" >&5
    1489414720   if (exit $ac_status) && test -s "$ac_outfile"; then
    1489514721     # The compiler can only warn and ignore the option if not recognized
     
    1499114817   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1499214818   -e 's:$: $lt_compiler_flag:'`
    14993    (eval echo "\"\$as_me:14993: $lt_compile\"" >&5)
     14819   (eval echo "\"\$as_me:14819: $lt_compile\"" >&5)
    1499414820   (eval "$lt_compile" 2>out/conftest.err)
    1499514821   ac_status=$?
    1499614822   cat out/conftest.err >&5
    14997    echo "$as_me:14997: \$? = $ac_status" >&5
     14823   echo "$as_me:14823: \$? = $ac_status" >&5
    1499814824   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1499914825   then
     
    1656116387   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1656216388   -e 's:$: $lt_compiler_flag:'`
    16563    (eval echo "\"\$as_me:16563: $lt_compile\"" >&5)
     16389   (eval echo "\"\$as_me:16389: $lt_compile\"" >&5)
    1656416390   (eval "$lt_compile" 2>conftest.err)
    1656516391   ac_status=$?
    1656616392   cat conftest.err >&5
    16567    echo "$as_me:16567: \$? = $ac_status" >&5
     16393   echo "$as_me:16393: \$? = $ac_status" >&5
    1656816394   if (exit $ac_status) && test -s "$ac_outfile"; then
    1656916395     # The compiler can only warn and ignore the option if not recognized
     
    1666516491   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1666616492   -e 's:$: $lt_compiler_flag:'`
    16667    (eval echo "\"\$as_me:16667: $lt_compile\"" >&5)
     16493   (eval echo "\"\$as_me:16493: $lt_compile\"" >&5)
    1666816494   (eval "$lt_compile" 2>out/conftest.err)
    1666916495   ac_status=$?
    1667016496   cat out/conftest.err >&5
    16671    echo "$as_me:16671: \$? = $ac_status" >&5
     16497   echo "$as_me:16497: \$? = $ac_status" >&5
    1667216498   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1667316499   then
     
    1887218698   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1887318699   -e 's:$: $lt_compiler_flag:'`
    18874    (eval echo "\"\$as_me:18874: $lt_compile\"" >&5)
     18700   (eval echo "\"\$as_me:18700: $lt_compile\"" >&5)
    1887518701   (eval "$lt_compile" 2>conftest.err)
    1887618702   ac_status=$?
    1887718703   cat conftest.err >&5
    18878    echo "$as_me:18878: \$? = $ac_status" >&5
     18704   echo "$as_me:18704: \$? = $ac_status" >&5
    1887918705   if (exit $ac_status) && test -s "$ac_outfile"; then
    1888018706     # The compiler can only warn and ignore the option if not recognized
     
    1914018966   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1914118967   -e 's:$: $lt_compiler_flag:'`
    19142    (eval echo "\"\$as_me:19142: $lt_compile\"" >&5)
     18968   (eval echo "\"\$as_me:18968: $lt_compile\"" >&5)
    1914318969   (eval "$lt_compile" 2>conftest.err)
    1914418970   ac_status=$?
    1914518971   cat conftest.err >&5
    19146    echo "$as_me:19146: \$? = $ac_status" >&5
     18972   echo "$as_me:18972: \$? = $ac_status" >&5
    1914718973   if (exit $ac_status) && test -s "$ac_outfile"; then
    1914818974     # The compiler can only warn and ignore the option if not recognized
     
    1924419070   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1924519071   -e 's:$: $lt_compiler_flag:'`
    19246    (eval echo "\"\$as_me:19246: $lt_compile\"" >&5)
     19072   (eval echo "\"\$as_me:19072: $lt_compile\"" >&5)
    1924719073   (eval "$lt_compile" 2>out/conftest.err)
    1924819074   ac_status=$?
    1924919075   cat out/conftest.err >&5
    19250    echo "$as_me:19250: \$? = $ac_status" >&5
     19076   echo "$as_me:19076: \$? = $ac_status" >&5
    1925119077   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1925219078   then
Note: See TracChangeset for help on using the changeset viewer.